/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataRule;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.dataPool.db.entity.DataResourcePackage;

import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：资源包
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "资源包")
public class DataResourcePackageDetailDto extends DataResourcePackage implements Serializable
{
    @ApiModelProperty("上传人")
    private String creator;

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
}