/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.executePlan.db.entity.AtuPlanAppLink;

/**
 * 计划应用关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 17:37:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanAppLinkService extends BasicService<AtuPlanAppLink>
{
    /**
     * 查询应用ID
     * @param planAppLink 参数
     * @return 应用ID
     */
    String queryAppId(AtuPlanAppLink planAppLink);

    void deleteAppByPlanId(String planId);

}
