package net.northking.cctp.upperComputer.constants;

public class UpperComputerConstant {

    /**
     * 上位机心跳发送至MQ队列名称
     */
    public static final String HEART_MQ_QUEUE_NAME = "mq.upper.computer.heart.queue";
    /**
     * 上位机心跳发送至MQ交换机名称
     */
    public static final String HEART_MQ_EXCHANGE_NAME = "mq.upper.computer.heart.exchange";

    /**
     * 上位机心跳发送至MQ队列名称
     */
    public static final String PER_DATA_MQ_QUEUE_NAME = "mq.upper.computer.per.data.queue";
    /**
     * 上位机心跳发送至MQ交换机名称
     */
    public static final String PER_DATA_MQ_EXCHANGE_NAME = "mq.upper.computer.per.data.exchange";

    /**
     * 上位机重启的队列名
     */
    public static final String EXCHANGE_UPPER_COMPUTER_QUEUE = "mq.upper.computer.exchange.queue";

    /**
     * 上位机重启发送至MQ交换机名称
     */
    public static final String EXCHANGE_UPPER_COMPUTER_EXCHANGE = "mq.upper.computer.exchange.exchange";

    /**
     * android类型常量
     */
    public static final String ANDROID = "0";


    /**
     * ios类型常量
     */
    public static final String IOS = "1";


    /**
     * harmony类型常量
     */
    public static final String HARMONY = "2";
}
