DROP TABLE IF EXISTS `overall_view_index2`;
CREATE TABLE `overall_view_index2` (
	`id` VARCHAR(32) NOT NULL ,
	`create_time` VARCHAR(50) NOT NULL COMMENT '创建时间' ,
	`view_name` VARCHAR(3200) NOT NULL COMMENT '图名称' ,
	`user_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '用户id' ,
	`record_type` VARCHAR(50) NULL DEFAULT NULL COMMENT '记录类型：0跨项目级，1项目级' ,
	`pro_id` VARCHAR(3200) NULL DEFAULT NULL COMMENT '项目id' ,
	`view_id` VARCHAR(500) NULL DEFAULT NULL COMMENT '图id' ,
	PRIMARY KEY (`id`) USING BTREE
)
COMMENT='跨项目级视图索引信息表2'
ENGINE=InnoDB
ROW_FORMAT=DYNAMIC
COLLATE='utf8mb4_bin'
;
--CREATE TABLE `overall_view_index2` (
--	`id` VARCHAR(32) NOT NULL COLLATE 'utf8_general_ci',
--	`create_time` VARCHAR(50) NOT NULL COMMENT '创建时间' COLLATE 'utf8_general_ci',
--	`view_name` VARCHAR(1000) NOT NULL COMMENT '图名称' COLLATE 'utf8_general_ci',
--	`user_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '用户id' COLLATE 'utf8_general_ci',
--	`record_type` VARCHAR(50) NULL DEFAULT NULL COMMENT '记录类型：0跨项目级，1项目级' COLLATE 'utf8_general_ci',
--	`pro_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE
--)
--COMMENT='跨项目级视图索引信息表2'
--COLLATE='utf8_bin'
--ENGINE=InnoDB
--ROW_FORMAT=DYNAMIC
--;
