package net.northking.cctp.element.core.reflect;

import net.northking.cctp.element.core.exception.KeywordArgumentConvertException;

/**
 * Keyword argument type convert
 * 
 * @author fengxiang.zhang
 * @since 1.0
 */
public interface IArgumentConverter {

	/**
	 * Parametric list type conversion
	 * 
	 * @param args
	 * @return
	 */
	Object[] convertArguments(Object[] args) throws KeywordArgumentConvertException;

}
