package net.northking.cctp.element.mobile.constants;

public interface ConfigPath {

    String EXEC_SHELL_PATH = "nk.component.mobile.execShellAddress";

    String SERVER_URL = "atu.server.serverUrl";  //服务地址

    String DOWNLOAD_PIC_ADDRESS = "atu.server.fileDownloadPath";  //图片下载地址

    String FIND_PIC_ADDRESS_KEY = "nk.component.mobile.findPicAddress";  //查找图片地址

    String MOBILE_SCREEN_SHOT_ADDRESS_KEY = "nk.component.mobile.shotAllScreenAddress";   //截取整个手机屏幕

    String UPLOAD_MOBILE_SCREEN_SHOT_ADDRESS_KEY = "nk.component.mobile.uploadScreenAddress";   //截取整个手机屏幕

    String OCR_ADDRESS_KEY = "nk.component.mobile.ocrAddress";   //ocr查找文本地址

    String MOBILE_SHOT_ADDRESS_KEY = "nk.component.mobile.mobileShotAddress";  //截取手机屏幕区域

    String ACTIVE_IOS_APP_ADDRESS_KEY = "nk.component.mobile.handleApp";  //启动ios app

    String OCR_GET_CODE_ADDRESS_KEY = "nk.component.mobile.ocrGetCode";  //ocr识别验证码

    String OCR_GET_TEXT_ADDRESS_KEY = "nk.component.mobile.ocrGetText";  //ocr识别文字

    String OCR_GET_ALL_TEXT_NUM_KEY = "nk.component.mobile.ocrGetAllTextNum";  //ocr识别所有的文字的数量

    String OCR_GET_KEYBOARD_KEY = "nk.component.mobile.getSafeKeyBoardNum";  //ocr识别键盘的数量

    String GET_CURRENT_MESSAGE_KEY = "nk.component.mobile.getCurrentMessage";  //获取最新的短信

    String GET_WINDOW_SCALE_KEY = "nk.component.mobile.getWindowsScale";  //获取

    String HTTP_FORMAT = "http://%s:%s/%s";

    String KEY_CURRENT_CONN = "__deviceConnection";

    String HZBANK_OCR_GET_ALL_TEXT_KEY = "nk.component.mobile.hzBankOcrAddress";  //杭银ocr识别所有的文字

    String USE_NEW_OCR = "nk.component.mobile.useNewOcr";   //是否使用新版ocr

    String OCR_GET_TEXT_DIRECTION_TEXT = "nk.component.mobile.ocrGetTextDirectionText";   //ocr识别指定文字指定方向的内容

    String MATCHING_THRESHOLD = "nk.component.mobile.matchingThreshold";   //图像识别阈值

    String OCR_GET_TABLE_COL_VALUE = "nk.component.mobile.ocrGetTableColValue";   //ocr获取表格列内容

    String OCR_GET_MONEY_VALUE = "nk.component.mobile.ocrGetMoneyValue";  //ocr识别金额

    String OCR_GET_CLICK_TEXT_DIRECTION_TEXT = "nk.component.mobile.ocrGetClickTextDirectionText";   //ocr指定文字指定方向指定第几个指定内容文本

    String SEARCH_FREQUENCY = "nk.component.mobile.searchFrequency";   //元素查找次数

    String FIND_TIME = "nk.component.mobile.findTime";   //xpath每次查找时间,秒

}
