package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.mapper.DwAtuPlanTaskMapper;
import net.northking.cctp.dw.dto.FirstExecuteInfoDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DwAtuPlanTaskDao extends DwAtuPlanTaskMapper {
    List<FirstExecuteInfoDto> getFirstExecuteTime(String scriptId);

    /**
     * 根据脚本ID集合查询首次执行成功信息
     *
     * @param scriptIds 脚本ID集合
     * @return 首次执行成功信息集合
     */
    List<FirstExecuteInfoDto> getFirstExecuteTimeByScriptIds(@Param("scriptIds") List<String> scriptIds);
}
