/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.dao;

import net.northking.cctp.dataPool.db.mapper.DataSetEnvRelMapper;
import net.northking.cctp.dataPool.dto.dataSets.AtuScriptInputSetQuoteFeignDto;
import net.northking.cctp.dataPool.dto.dataSets.AtuScriptInputSetQuoteFieldDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：数据集环境关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-23 17:53:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface DataSetEnvRelDao extends DataSetEnvRelMapper
{
    AtuScriptInputSetQuoteFieldDto selectDataUrlAndTreeName(AtuScriptInputSetQuoteFieldDto atuScriptInputSetQuoteFieldDto);

    List<AtuScriptInputSetQuoteFeignDto> getDataSetFile(@Param("list")List<String> list, @Param("envId")String envId);
    // ----      The End by Generator     ----//

}
