package net.northking.cctp.se.device.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@Data
@ApiModel(value = "设备批量申请dto")
@ToString
public class BatchApplyDeviceDto {


    @ApiModelProperty(value = "申请人id")
    private String id;

    @ApiModelProperty(value = "使用来源，engine为引擎使用0")
    private String userBy;

    @ApiModelProperty(value = "设备列表")
    private List<ApplyDeviceDto> deviceList;

}
