/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuElementInfo;

/**
 * Mybatis数据库持久层（底层）：元素信息管理
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-04 09:57:41  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuElementInfoMapper extends BasicDao<AtuElementInfo>
{
  String EntityName = "AtuElementInfo";

  String COLUMN_id = "id";
  String COLUMN_groupId = "group_id";
  String COLUMN_name = "name";
  String COLUMN_type = "type";
  String COLUMN_fetchType = "fetch_type";
  String COLUMN_fetchValue = "fetch_value";
  String COLUMN_secondFtype = "second_ftype";
  String COLUMN_secondFvalue = "second_fvalue";
  String COLUMN_isDeleted = "is_deleted";
  String COLUMN_projectId = "project_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";

}
