package net.northking.cctp.upperComputer.deviceManager.listener;

import net.northking.cctp.upperComputer.deviceManager.HarmonyDeviceManager;
import net.northking.cctp.upperComputer.driver.harmony.hdc.HDCDevice;
import net.northking.cctp.upperComputer.driver.harmony.hdc.HDCDeviceListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;

/**
 * @author : yineng.huang
 * @date : 2024/10/15 16:04
 */
public class HarmonyDeviceListener implements HDCDeviceListener {

    private final Logger logger = LoggerFactory.getLogger(HarmonyDeviceListener.class);

    @Override
    public void onDeviceChanged(ArrayList<HDCDevice> currentDevices) {
        HarmonyDeviceManager.getInstance().handleHarmonyDevice(currentDevices);
    }
}
