package net.northking.cctp.upperComputer.driver.harmony.hdc;

import java.util.ArrayList;

/**
 * 设备变动监听接口
 * <br>
 * 当设备发生变动时，告知当前所有设备信息
 */
public interface HDCDeviceListener {
    /**
     * 当设备变动后，此方法将会被调用
     *
     * @param currentDevices 当前所有设备的信息
     */
    void onDeviceChanged(ArrayList<HDCDevice> currentDevices);
}
