package net.northking.cctp.upperComputer.driver.harmony.ui;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * 这是一个可以处理为XML格式文本的数据
 */
public interface XMLEntity {

    /**
     * 创建XML节点
     *
     * @param document 文档对象，用于创建XML节点
     * @return 返回一个XML节点对象，该节点代表了当前实体的结构和数据。
     */
    Node createXMLElement(Document document);
}
