/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.project.db.entity.CpProjectEnvDs;
import net.northking.cctp.project.dto.env.CpProjectEnvDsDeleteDto;

import java.util.List;

public interface CpProjectEnvDsService extends BasicService<CpProjectEnvDs>
{
    /**
     * 删除不在该环境下的数据源信息
     * @param deleteDto 删除参数
     * @return 结果
     */
    int deleteByProjectIdNoInEnvIds(CpProjectEnvDsDeleteDto deleteDto);

    List<CpProjectEnvDs> queryEnvDsByDto(CpProjectEnvDs envDs);
// ----      The End by Generator     ----//

}
