/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.testbug.db.entity.BugNo;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：缺陷编号生成表
*
* createdate:  2021-12-03 15:02:30  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "缺陷编号生成表")
public class BugNoQueryDto extends BugNo implements Serializable
{
  private Long count;

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }
}