package net.northking.cctp.element.core.keyword;

import java.util.Map;

/**
 * Keyword extractor
 * 
 * @author fengxiang.zhang
 * @since 1.0
 * @param <T>
 */
public interface IKeywordExtractor<T extends Keyword> {

	/**
	 * Extractor keywords in keyword bean
	 * 
	 * @param keywordBean
	 * @return
	 */
	Map<String, T> extractKeywords(Object keywordBean);
}
