package net.northking.cctp.element.mobile.ios.constants;

public interface UpperParamKey {

    /**
     * 指令
     */
    String COMMAND_ID = "command_id";

    /**
     * 滑动相关
     */
    String IS_SWIPE = "is_swipe";

    String SWIPE_DIRECTION = "swipe_direction";

    String SWIPE_COUNT = "swipe_count";

    String SWIPE_SIZE = "swipe_size";

    String SEARCH_SWIPE = "SEARCH_SWIPE";

    String TIMES = "times"; // 只查找一次

    /**
     * 基本参数
     */
    String WAIT_STATUS = "wait_status";


    /**
     * 节点相关
     */
    String NODE_TREE = "node_tree";

    String POINT = "point";

    /**
     * 屏幕相关
     */
    String X = "x";
    String Y = "y";
    String SCREEN_WIDTH = "screen_width";
    String SCREEN_HEIGHT = "screen_height";
    String WIDTH = "width";
    String HEIGHT = "height";
    String OCR_TEXT = "ocr_text";
    String INDEX = "index";


    /**
     * 图像相关
     */
    String IMG_URL = "img_url";

    /**
     * 图像相关，目标图分辨率
     */
    String RESOLUTION_S = "resolution_s";

    /**
     * 输入相关
     */
    String CLEAR = "clear";

    String INPUT_TEXT = "input_text";

    /**
     * 设备信息
     */
    String DEVICE_INFO = "device_info";

    /**
     * 应用包名
     */
    String APP_PACKAGE = "app_package";

    /**
     * 应用操作类型
     */
    String TYPE = "type";

    /**
     * 超时时间
     */
    String WAIT_TIMEOUT = "waitTimeout";

    /**
     * 识别类型
     */
    String USING_TYPE = "using_type";

    /**
     * 租户id
     */
    String TENANT_ID = "tenant_id";

    /**
     * 节点类型
     */
    String NODE_TYPE = "node_type";

    /**
     * 验证码类型
     */
    String CODE_TYPE = "code_type";

    /**
     * 方向
     */
    String DIRECTION = "direction";
	
	String SWIPE_POINT = "swipe_point";
	
	    /**
     * 滑动解锁左上角点
     */
    String FIRST_POINT = "first_point";

    /**
     * 滑动解锁左上角右边第一个点
     */
    String SECOND_POINT = "second_point";

    /**
     * 滑动解锁左上角下边第一个点
     */
    String THIRD_POINT = "third_point";

    /**
     * 滑动解锁每一行每一列的点数
     */
    String POINT_NUM = "point_num";

    /**
     * 是否需要模糊匹配，1：需要。0：不需要
     */
    String DIFFUSSION = "diffussion";


    /**
     * 是否识别金额，1：是。0：否
     */
    String IF_MONEY = "ifMoney";

    /**
     * 每次滑动的距离，屏幕的百分比（输入0-1之间的小数）
     */
    String SWIPE_SIZE_PER = "swipe_size_per";
}
