drop table if exists ip_event;

CREATE TABLE `ip_event` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `ip_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '实施流程定义',
  `shape` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '图形样式',
  `source` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '来源工序',
  `target` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '目标工序',
  `label` varchar(128) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '路由名称',
  `start_point` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '开始坐标',
  `end_point` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '结束坐标',
  `memo` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '详细描述',
  `is_visible` tinyint(1) DEFAULT '1' COMMENT '是否可见（在画布中显示）',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '租户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='事件定义';