package net.northking.cctp.dw.dto.atu;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class DwAtuPlanExecutionDataDto {
    @ApiModelProperty(value = "计划id")
    private String planId;

    @ApiModelProperty(value = "系统")
    private String projectName;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "环境id")
    private String envId;

    @ApiModelProperty(value = "环境")
    private String tag;

    @ApiModelProperty(value = "计划负责人")
    private String planManager;

    private String planManagerId;

    @ApiModelProperty(value = "计划所属小组")
    private String planTeam;

    @ApiModelProperty(value = "计划所属小组")
    private String projectTeam;

    @ApiModelProperty(value = "执行成功总次数")
    private Integer successNum;

    @ApiModelProperty(value = "执行失败总次数")
    private Integer failNum;

    @ApiModelProperty(value = "最早成功时间")
    private Date firstSuccessTime;

    @ApiModelProperty(value = "最早成功脚本数")
    private Integer firstSuccessScriptNum;

    @ApiModelProperty(value = "最晚成功时间")
    private Date endSuccessTime;

    @ApiModelProperty(value = "最晚成功脚本数")
    private Integer endSuccessScriptNum;

    private String projectId;

}
