drop table if exists clt_user_login;

CREATE TABLE `clt_user_login` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `org_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '机构',
  `login_no` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '登录账号',
  `login_pwd` varchar(128) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '登录密码',
  `user_chn_name` varchar(128) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '姓名',
  `status` varchar(16) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户状态',
  `is_super_user` tinyint(1) DEFAULT '0' COMMENT '是否超管用户',
  `is_enabled` tinyint(1) DEFAULT '1' COMMENT '是否启用',
  `is_deleted` tinyint(1) DEFAULT '0' COMMENT '是否已删除',
  `is_locked` tinyint(1) DEFAULT '0' COMMENT '是否锁定',
  `pwd_err_num` int(11) DEFAULT '0' COMMENT '密码错误次数',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT 'NK' COMMENT '租户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户账户表';