drop table if exists cp_log;

CREATE TABLE `cp_log` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `type` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日志类型（1-新增 2-修改 3-删除）',
  `module` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '所属功能',
  `remote_addr` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '请求地址',
  `is_deleted` tinyint(1) DEFAULT '0' COMMENT '逻辑删除',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;