drop table if exists cp_rule_config;

CREATE TABLE `cp_rule_config` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `collection_id` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '规则集合id',
  `rule_no` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '规则编号',
  `rule_value` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '规则值',
  `checked` tinyint(1) DEFAULT NULL COMMENT '是否选中（1选中 0未选中）',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='规则配置表';